请问有没有人安装gns3


#1

以前在ubuntu还知道用apt-get安装,
在opensuse根本不知道怎么安???


#2

https://software.opensuse.org//download.html?project=Education&package=gns3

openSUSE 是用 software.opensuse.org/search 找软件的,firefox 直接可以一键安装。不然可以下载 rpm 或者加源用 zypper 装


#3

源里并没有,我查了gns3的官网 leap15还没有支持


#4

拜托你点进链接看看,Leap 15 的包就在那儿放着

https://build.opensuse.org/package/show/Education/gns3

这里也显示编译状态是成功。

你需要加 Education 源后才能用 zypper 搜到,但网页版搜索肯定能搜到。因为以前有个 Education 版,所以那个源的不少软件都不在 oss 里


#5

不好意思,我刚拿手机看的,我回去再试试,谢谢您的帮助。


#6

YaST2 conflicts list - generated 2018-10-21 22:26:50

没有什么能提供 python3-raven >= 5.2.0,而它为 gns3-2.0.3-lp150.98.1.noarch 所需

[ ] 不安装 gns3-2.0.3-lp150.98.1.noarch

[ ] 通过忽略一些依赖关系来断开 gns3-2.0.3-lp150.98.1.noarch

YaST2 conflicts list END

还是有点问题。。。


#7

python3-raven 这个包,42.3、Tumbleweed上都进了官方源,而15.0没有,不知道为什么。


#8

这个这么加上去呢?


#9

就算是官方源可以安装,也比较旧了。你可以点开其他比较新的个人源安装,就是社区软件包。
哦,我说的是 GNS3 这个包。


#10

给个链接?


#11

上面说了,在这个网页上搜索。你找比较新的社区源试试。


#12

你可以直接搜索 python3-raven 啊


#13

opensuse想安装软件最简单快速的方法就是用火狐浏览器上网页版的软件中心,里面有很多很多私人打包的软件,基本上够用。地址:https://software.opensuse.org/explore